Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518407 - A-MQ Components not visible in Java Console when using IE11 browser
Summary: A-MQ Components not visible in Java Console when using IE11 browser
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.3.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.3.1
Assignee: Alexandre Kieling
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1519573 1543396 1543402 1543435 1543467 1543525 1543532
TreeView+ depends on / blocked
 
Reported: 2017-11-28 20:39 UTC by Alexandre Kieling
Modified: 2018-08-27 13:09 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: use of javascript Array method not supported by IE11 (Array.find, Array.findIndex) Consequence: Error that prevents some A-MQ pages to show content when the user clicks on a tree node Fix: Replace the unsupported Array methods with the Lodash library Result: A-MQ pages show their content as expected
Clone Of:
: 1519573 1543396 1543435 (view as bug list)
Environment:
Last Closed:


Attachments (Terms of Use)
The right pane can not show details about the selected tree node - IE 11 (deleted)
2018-01-26 02:33 UTC, Junqi Zhao
no flags Details
The right pane could show details about the selected tree node -- Chrome (deleted)
2018-01-26 02:34 UTC, Junqi Zhao
no flags Details
Object doesn't support property or method 'startsWith' (deleted)
2018-01-29 07:22 UTC, Junqi Zhao
no flags Details

Description Alexandre Kieling 2017-11-28 20:39:23 UTC
Description of problem:
A-MQ Components not visible in Java Console when using IE11 browser

How reproducible:
Always

Steps to Reproduce:
1. Deploy JBoss A-MQ 6.3 for OpenShift
2. Edit deployment configuration and set name "jolokia" to 8778 port
3. Open the Java console
4. Click on the ActiveMQ menu item
5. Click on tree nodes in the left pane

Actual results:
No content is shown in the right pane

Expected results:
The right pane should show details about the selected tree node

Additional info:
Check the browser console for errors

Comment 1 openshift-github-bot 2017-12-01 13:46:21 UTC
Commits pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/34d54bb1c73ced9824c154ec336da7337f85df70
Fix Bug 1518407 - A-MQ Components not visible in Java Console when using IE11 browser

https://bugzilla.redhat.com/show_bug.cgi?id=1519573

https://github.com/openshift/origin-web-console/commit/5c07b0b18c6899707451e70e9780e5f14ccf00d3
Merge pull request #2549 from akieling/master-openshift-jvm-1.2.5

Automatic merge from submit-queue.

Fix Bug 1518407 - A-MQ Components not visible in Java Console when using IE11 browser

Comment 2 Alexandre Kieling 2018-01-19 09:42:51 UTC
What's blocking this issue?

Comment 5 Junqi Zhao 2018-01-26 02:32:53 UTC
Tested on IE 11, the right pane can not show details about the selected tree node, see the attached pictures, also tested in firefox/chrome browser, it does not have this problem.

Version:
11.850.15063.0

# openshift version
openshift v3.3.1.46.36
kubernetes v1.3.0+52492b4
etcd 2.3.0+git


https://bugzilla.redhat.com/show_bug.cgi?id=1519573
was verifed on OCP 3.9

Comment 6 Junqi Zhao 2018-01-26 02:33:35 UTC
Created attachment 1386430 [details]
The right pane can not show details about the selected tree node - IE 11

Comment 7 Junqi Zhao 2018-01-26 02:34:31 UTC
Created attachment 1386431 [details]
The right pane could show details about the selected tree node -- Chrome

Comment 8 Alexandre Kieling 2018-01-26 09:35:09 UTC
Could you please check what error message is printed in the IE11 console?

Comment 9 Junqi Zhao 2018-01-29 07:22:57 UTC
Created attachment 1387568 [details]
Object doesn't support property or method 'startsWith'

Comment 10 Junqi Zhao 2018-01-29 07:23:26 UTC
(In reply to Alexandre Kieling from comment #8)
> Could you please check what error message is printed in the IE11 console?

Object doesn't support property or method 'startsWith'
See the attached picture

Comment 11 Alexandre Kieling 2018-02-02 20:13:38 UTC
Does it happen when clicking on all tree nodes? This version of the JVM console fixes a bug related to Array.find and Array.findIndex methods.

Comment 13 Alexandre Kieling 2018-02-06 21:47:54 UTC
Another PR has been created with a fix for the error "Object doesn't support property or method 'startsWith'". Please wait until the PR is merged and a new release is available for testing.

Comment 14 Alexandre Kieling 2018-02-12 14:10:23 UTC
Pull request:
https://github.com/openshift/origin-web-console/pull/2774

Comment 15 Alexandre Kieling 2018-02-20 14:04:16 UTC
PR provided. Anything else is blocking testing?

Comment 16 Alexandre Kieling 2018-03-02 13:23:10 UTC
Is this fix available for testing?

Comment 17 Alexandre Kieling 2018-03-20 10:31:49 UTC
Junqi Zhao, what's blocking testing?

Comment 18 Junqi Zhao 2018-03-21 01:01:09 UTC
(In reply to Alexandre Kieling from comment #17)
> Junqi Zhao, what's blocking testing?

There is no blocking issue, will verify it later,please change to ON_QA, we usually verify the defect in ON_QA status

Comment 19 Junqi Zhao 2018-03-21 08:10:09 UTC
(In reply to Alexandre Kieling from comment #17)
> Junqi Zhao, what's blocking testing?

Blocked by defect[1] now, will test after it is fixed

https://bugzilla.redhat.com/show_bug.cgi?id=1554645

Comment 20 Junqi Zhao 2018-03-21 09:26:11 UTC
@Alexandre

Must we use the jvm version 1.2.6 or above, since tested with jvm 1.0.50, found "Object doesn't support property or method 'findIndex' " in IE 11

Comment 22 Alexandre Kieling 2018-03-21 12:52:37 UTC
Yes, the fix is in version 1.2.6 of the JVM console.

Comment 23 Junqi Zhao 2018-03-22 06:41:05 UTC
Followed by https://mojo.redhat.com/docs/DOC-1074016#jive_content_id_b_Before_v39
3.3 fix is not shipped in OCP, we need new puddle to test

3.3 PR
https://github.com/openshift/origin-web-console/pull/2774

latest OCP version is v3.3.1.46.38

$ git clone git@github.com:openshift/ose.git
$ cd ~/ose
$ git log --pretty="%h %cd - %s" v3.3.1.46.38 | grep -i 'Bump' | head -n 1
4a5768e Tue Jan 23 18:56:09 2018 -0500 - Merge remote-tracking branch enterprise-3.3, bump origin-web-console edf6b62


$ git clone https://github.com/openshift/origin-web-console.git
$ cd ~/origin-web-console/
$ git checkout enterprise-3.3
$ git log --pretty="%h %cd - %s"   edf6b62   |   grep   '#2774'
nothing returned

Comment 24 Alexandre Kieling 2018-05-30 10:12:24 UTC
Why isn't this fix available for testing?

Comment 26 Alexandre Kieling 2018-06-27 13:20:53 UTC
Can someone please do something about this issue? It was fixed 6 months ago and it hasn't been tested and released yet.

Comment 27 Yadan Pei 2018-06-29 00:24:00 UTC
Junqi, please help check

Comment 28 Junqi Zhao 2018-06-29 03:27:06 UTC
Please change to ON_QA so we can close it.

Issue is fixed, A-MQ Components not visible in Java Console when using IE11 browser

jvm version:  1.2.6
IE version: 11.112.17314.0

# openshift version
openshift v3.3.1.46.39
kubernetes v1.3.0+52492b4
etcd 2.3.0+git

Comment 29 Junqi Zhao 2018-06-29 03:27:55 UTC
(In reply to Junqi Zhao from comment #28)
Correction:
> Issue is fixed, A-MQ Components is visible in Java Console when using IE11
> browser

Comment 30 Junqi Zhao 2018-07-18 00:16:17 UTC
Set to VERIFIED per Comment 28 and Comment 29

Comment 31 Alexandre Kieling 2018-08-27 13:09:30 UTC
Will there be a new 3.3 release including this fix?


Note You need to log in before you can comment on or make changes to this bug.